Skip to main content

Update Application

PUThttps://api.propexo.com/v1/applications/:id

Update an Application for an Integration.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

id stringrequired

The Propexo unique identifier for the application

Request​

This endpoint expects an object.

    applicant_idstring

    The Propexo unique identifier for the applicant

    application_idstring

    The Propexo unique identifier for the application

    lease_period_idstring

    The Propexo unique identifier for the lease period

    unit_idstring

    The Propexo unique identifier for the unit

    lead_source_idstring

    The Propexo unique identifier for the lead source

    address_1string

    The first address line associated with the applicant

    address_2string

    The second address line associated with the applicant

    application_statusstring

    The status associated with the application

    Show 2 enum values
    COMPLETEDAPPROVED
    attachments object[]

    Files to upload for the applicant. All the files can have a maximum combined file size of 50 MB

  • Array [
  • file_datastringrequired

    The contents of the file, as a base64 encoded string. The PMS has a max file size of 50 MB.

    Possible values: <= 69730304 characters

    file_namestringrequired

    The name of the file including the extension. Ex: "image.jpg"

    mime_typestringrequired

    The mime type of the file. Ex: "image/jpeg"

    lease_file_typestring

    Deprecated: Use the file_type_id field instead. The PMS specific lease file type of the document

    file_type_idstring

    The Propexo file type ID of the lease file type to upload. Prefer this over the raw input of the lease_file_type.

    is_privateboolean

    If the file should be marked as private. If true the file will not be shown in the resident portal.

  • ]
  • citystring

    The city associated with the applicant

    create_new_events_onlyboolean | string

    Whether or not new events should be created on the applicant

    Show 2 variants
    • boolean
    • string
    date_of_birthstring

    The date of birth associated with the applicant

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    email_1string<email>

    The primary email address associated with the applicant

    events object[]deprecated

    DEPRECATED: Please use /events endpoints to write events. Array of events associated with this applicant

  • Array [
  • unit_idstring

    The Propexo unique identifier for the unit

    x_type_idstringrequired

    The PMS id for the event type.

    x_leasing_agent_idstring

    The PMS id for the leasing agent.

    x_sub_type_idstring

    The PMS id for the event sub type.

    x_result_idstring

    The PMS id for the event result.

    event_datetimestring<date-time>

    The date and time that the event occured.

    appointment_datetimestring<date-time>

    The date and time that the appointment will occur. Required if using appointment type.

    time_fromstring
    time_tostring
    notesstring

    General notes about the event.

    titlestring

    Title for the event.

    reasons_for_eventstring

    The reason the event occurred.

    idstring

    The Propexo unique identifier for the event. Only required if attempting to update an existing event.

  • ]
  • first_namestring

    The first name associated with the applicant

    last_namestring

    The last name associated with the applicant

    move_in_datestring

    The desired move-in date to the unit listed in the application

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    phone_1_typestring

    Type of the primary phone number

    Show 4 enum values
    FAXHOMEMOBILEWORK
    phone_1string

    Primary phone number associated with the applicant

    Possible values: Value must match regular expression ^\d{10}$

    statestring

    The state associated with the applicant

    zipstring

    The zip code associated with the applicant

    pets object[]

    A list of applicant pets. If any pets are provided, this list will overwrite the existing list of pets

    Possible values: <= 6

  • Array [
  • typestringrequired

    The type associated with the applicant pet

    namestring

    The name associated with the applicant pet

    age_in_yearsinteger

    The age in years of the applicant pet

    Possible values: >= 0

    weight_in_poundsinteger

    The weight in pounds of the applicant pet

    Possible values: >= 0

    breedstring

    The breed of the applicant pet

    colorstring

    The color of the applicant pet

    genderstring

    The raw value for the gender of the applicant pet

    is_fixedboolean

    Whether the applicant pet is fixed

    is_service_animalboolean

    Whether the applicant pet is a service animal

  • ]
  • vehicles object[]

    A list of vehicles for the application

    Possible values: <= 4

  • Array [
  • makestringrequired

    The make of the vehicle

    modelstring

    The model of the vehicle

    yearinteger

    The year the vehicle was made

    colorstring

    The color of the vehicle

    license_plate_numberstring

    The license plate number of the vehicle

    license_plate_statestring

    The issuing state of the license plate

    Show 70 enum values
    AAAEAKALAPARASAZCACOCTDCDEFLFMGAGUHIIAIDINKSKYLAMAMDMEMHMIMNMOMPMSMTNCNENLNJNMNVNYOHOKORPAPRSDTNTXUTVAVIVTWAWIWVWYABBCMBNBNLNTNSNUONPEQCSKYT
  • ]
  • employment_history object[]

    The employment history of the applicant

    Possible values: <= 2

  • Array [
  • is_current_employerbooleanrequired

    Whether this employment history entry is for a current employer

    namestringrequired

    The name of the employer

    start_datestringrequired

    The start date of the applicant's employment at this employer

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    end_datestring

    The end date of the applicant's employment at this employer. Ignore this field if is_current_employer is set to true

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    address_1string

    The first line of the address of the employer

    citystring

    The city of the address of the employer

    statestring

    The state of the address of the employer

    Show 70 enum values
    AAAEAKALAPARASAZCACOCTDCDEFLFMGAGUHIIAIDINKSKYLAMAMDMEMHMIMNMOMPMSMTNCNENLNJNMNVNYOHOKORPAPRSDTNTXUTVAVIVTWAWIWVWYABBCMBNBNLNTNSNUONPEQCSKYT
    zipstring

    The zip code of the address of the employer

    phonestring

    The phone number of the employer

    Possible values: Value must match regular expression ^\d{10}$

    supervisor_first_namestring

    The first name of the applicant's supervisor at this employer

    supervisor_last_namestring

    The last name of the applicant's supervisor at this employer

    positionstring

    The position held at this employer, or the job description of the applicant

    monthly_income_in_centsintegerrequired

    The monthly income of the applicant at this employer in cents

    Possible values: >= 0

  • ]
  • add_ons object[]

    Add-ons of the applicant

  • Array [
  • rentable_item_idstringrequired

    The Propexo unique identifier for the rentable item

    employee_idstringrequired

    The Propexo unique identifier for the employee

    start_datestring

    The start date associated with the employee

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    end_datestring

    The end date associated with the employee

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
  • ]
  • employee_idstring

    The Propexo unique identifier for the employee

    application_status_idstring

    The Propexo unique identifier for the application status for this application

    application_datestring

    The application date associated with the applicant

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    start_datestring

    The start date associated with the lease

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    end_datestring

    The end date associated with the lease

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    statusstring

    The status associated with the application

    Show 5 enum values
    PENDINGAPPROVEDCANCELEDDENIEDSIGNED
    phone_2string

    Secondary phone number associated with the applicant

    Possible values: Value must match regular expression ^\d{10}$

    phone_2_typestring

    Type of the secondary phone number

    Show 4 enum values
    FAXHOMEMOBILEWORK
    notesstring

    Notes associated with the applicant

    rent_amount_in_centsinteger

    The rent amount in cents for the applicant

    Possible values: >= 0

    desired_lease_term_in_monthsstring

    The desired lease term in months of the applicant

    floor_plan_idstring

    The Propexo unique identifier for the floor plan

    other_occupants object[]

    A list of other occupants for the application. Only new occupants should be passed in, existing occupants cannot be updated

  • Array [
  • relationshipstringrequired

    The relationship of the occupant to the applicant

    Show 4 enum values
    ROOMMATESPOUSEGUARANTOROTHER
    first_namestringrequired

    The first name associated with the occupant

    last_namestringrequired

    The last name associated with the occupant

    third_party_idstringrequired

    A unique ID you would like to associate with the occupant. This is not the Yardi occupant ID

    Possible values: non-empty

    organization_namestringrequired

    The name of your organization. Yardi uses this for associating an occupant

    email_1string<email>

    The primary email address associated with the occupant

    phone_1string

    Primary phone number associated with the occupant

    Possible values: Value must match regular expression ^\d{10}$

    phone_1_typestring

    Type of the primary phone number

    Show 4 enum values
    FAXHOMEMOBILEWORK
    phone_2string

    Secondary phone number associated with the occupant

    Possible values: Value must match regular expression ^\d{10}$

    phone_2_typestring

    Type of the secondary phone number

    Show 4 enum values
    FAXHOMEMOBILEWORK
    address_1string

    The first address line associated with the occupant

    citystring

    The city associated with the occupant

    statestring

    The state associated with the occupant

    Show 70 enum values
    AAAEAKALAPARASAZCACOCTDCDEFLFMGAGUHIIAIDINKSKYLAMAMDMEMHMIMNMOMPMSMTNCNENLNJNMNVNYOHOKORPAPRSDTNTXUTVAVIVTWAWIWVWYABBCMBNBNLNTNSNUONPEQCSKYT
    zipstring

    The zip code associated with the occupant

  • ]
  • emergency_contacts object[]

    A list of emergency contacts for the applicant

    Possible values: <= 1

  • Array [
  • first_namestringrequired

    The first name of the emergency contact

    last_namestringrequired

    The last name of the emergency contact

    relationshipstringrequired

    The relationship of the emergency contact to the applicant

    Show 6 enum values
    DAUGHTERFRIENDHUSBANDSONWIFEOTHER
    address_1string

    The first line of the address of the emergency contact

    citystring

    The city of the address of the emergency contact

    statestring

    The state of the address of the emergency contact

    Show 70 enum values
    AAAEAKALAPARASAZCACOCTDCDEFLFMGAGUHIIAIDINKSKYLAMAMDMEMHMIMNMOMPMSMTNCNENLNJNMNVNYOHOKORPAPRSDTNTXUTVAVIVTWAWIWVWYABBCMBNBNLNTNSNUONPEQCSKYT
    zipstring

    The zip code of the address of the emergency contact

    countrystring

    The country of the address of the emergency contact. If your application needs to support submitting an applicant who resides in another country, please reach out to Propexo Support for help

    Show 2 variants
    • stringUSCA
    • string
    phone_1string

    The phone number of the emergency contact

    Possible values: Value must match regular expression ^\d{10}$

  • ]
  • middle_namestring

    The middle name associated with the applicant

    maiden_namestring

    The maiden name associated with the applicant

    move_out_datestring

    The desired move-out date to the unit listed in the application

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    is_evictedboolean

    Whether the applicant has been evicted

    is_felonyboolean

    Whether the applicant has a felony

    is_criminal_chargeboolean

    Whether the applicant has a criminal charge

    eviction_descriptionstring

    The description of the eviction

    felony_descriptionstring

    The description of the felony

    criminal_charge_descriptionstring

    The description of the criminal charge

    marital_statusstring

    The marital status of the applicant

    Show 2 enum values
    SINGLEMARRIED
    identification_numberstring

    The social security number of the applicant

    drivers_license_numberstring

    The driver's license number of the applicant

    address_history object[]

    The address history of the applicant

    Possible values: <= 2

  • Array [
  • address_1stringrequired

    The first address line associated with the applicant's historical address

    citystringrequired

    The city associated with the applicant's historical address

    statestringrequired

    The state associated with the applicant

    Show 70 enum values
    AAAEAKALAPARASAZCACOCTDCDEFLFMGAGUHIIAIDINKSKYLAMAMDMEMHMIMNMOMPMSMTNCNENLNJNMNVNYOHOKORPAPRSDTNTXUTVAVIVTWAWIWVWYABBCMBNBNLNTNSNUONPEQCSKYT
    zipstringrequired

    The zip code associated with the applicant's historical address

    countrystring

    The country associated with the applicant's historical address. If your application needs to support submitting an applicant who resides in another country, please reach out to Propexo Support for help

    Show 2 variants
    • stringUSCA
    • string
    notice_providedbooleanrequired

    Whether notice has been given to the applicant's historical address

    property_namestring

    The property name of the applicant's historical address

    reason_for_leavingstring

    The reason the applicant left their historical address

    monthly_payment_in_centsinteger

    For the applicant's historical address, the applicant's monthly payment for rent or mortgage in cents

    Possible values: >= 0

    move_in_datestringrequired

    The date when the applicant moved into their historical address

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    move_out_datestring

    The date when the applicant moved out of their historical address. If this is the applicant's current address, omit this field

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    manager_phonestring

    The phone number of a property manager who works at this address

    Possible values: Value must match regular expression ^\d{10}$

    manager_emailstring<email>

    The email of a property manager who works at this address

    management_companystring

    The name of the company who owns the property at this address

  • ]
  • other_income object[]

    A list of other income sources for the applicant

    Possible values: <= 2

  • Array [
  • sourcestringrequired

    The source of the income for the applicant

    monthly_income_in_centsintegerrequired

    The monthly income from this income source in cents

    Possible values: >= 0

  • ]
  • concession_fees object[]

    A list of concession fees for the application

  • Array [
  • start_datestringrequired

    The start date of the applicant's recurring concession fee

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    end_datestringrequired

    The end date of the applicant's recurring concession fee

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    concession_idstringrequired

    The Propexo unique identifier for the concession. This concession must be associated with the unit that the applicant is applying for

  • ]
  • application_fees object[]

    A list of application fees for the application. Only new application fees should be passed in, existing fees cannot be updated

  • Array [
  • charge_code_idstringrequired

    The Propexo unique identifier for the charge code. This must be an application fee charge code

    amount_in_centsintegerrequired

    The application fee amount in cents

    Possible values: >= 0

    descriptionstring

    Description of the application fee

  • ]

Response​

Successful response

    job_idstringrequired

    The ID of the job created to handle this operation

    data objectrequired
    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/applications/:id
curl -X PUT https://api.propexo.com/v1/applications/:id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"applicant_id": "string",
"application_id": "string",
"lease_period_id": "string",
"unit_id": "string",
"lead_source_id": "string",
"address_1": "string",
"address_2": "string",
"application_status": "COMPLETED",
"attachments": [
{
"file_data": "string",
"file_name": "string",
"mime_type": "string",
"lease_file_type": "string",
"file_type_id": "string",
"is_private": true
}
],
"city": "string",
"create_new_events_only": true,
"date_of_birth": "2024-07-29T15:51:28.071Z",
"email_1": "[email protected]",
"first_name": "string",
"last_name": "string",
"move_in_date": "2024-07-29T15:51:28.071Z",
"phone_1_type": "FAX",
"phone_1": "string",
"state": "string",
"zip": "string",
"pets": [
{
"type": "string",
"name": "string",
"age_in_years": 0,
"weight_in_pounds": 0,
"breed": "string",
"color": "string",
"gender": "string",
"is_fixed": true,
"is_service_animal": true
}
],
"vehicles": [
{
"make": "string",
"model": "string",
"year": 0,
"color": "string",
"license_plate_number": "string",
"license_plate_state": "AA"
}
],
"employment_history": [
{
"is_current_employer": true,
"name": "string",
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z",
"address_1": "string",
"city": "string",
"state": "AA",
"zip": "string",
"phone": "string",
"supervisor_first_name": "string",
"supervisor_last_name": "string",
"position": "string",
"monthly_income_in_cents": 0
}
],
"add_ons": [
{
"rentable_item_id": "string",
"employee_id": "string",
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z"
}
],
"employee_id": "string",
"application_status_id": "string",
"application_date": "2024-07-29T15:51:28.071Z",
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z",
"status": "PENDING",
"phone_2": "string",
"phone_2_type": "FAX",
"notes": "string",
"rent_amount_in_cents": 0,
"desired_lease_term_in_months": "string",
"floor_plan_id": "string",
"other_occupants": [
{
"relationship": "ROOMMATE",
"first_name": "string",
"last_name": "string",
"third_party_id": "string",
"organization_name": "string",
"email_1": "[email protected]",
"phone_1": "string",
"phone_1_type": "FAX",
"phone_2": "string",
"phone_2_type": "FAX",
"address_1": "string",
"city": "string",
"state": "AA",
"zip": "string"
}
],
"emergency_contacts": [
{
"first_name": "string",
"last_name": "string",
"relationship": "DAUGHTER",
"address_1": "string",
"city": "string",
"state": "AA",
"zip": "string",
"country": "US",
"phone_1": "string"
}
],
"middle_name": "string",
"maiden_name": "string",
"move_out_date": "2024-07-29T15:51:28.071Z",
"is_evicted": true,
"is_felony": true,
"is_criminal_charge": true,
"eviction_description": "string",
"felony_description": "string",
"criminal_charge_description": "string",
"marital_status": "SINGLE",
"identification_number": "string",
"drivers_license_number": "string",
"address_history": [
{
"address_1": "string",
"city": "string",
"state": "AA",
"zip": "string",
"country": "US",
"notice_provided": true,
"property_name": "string",
"reason_for_leaving": "string",
"monthly_payment_in_cents": 0,
"move_in_date": "2024-07-29T15:51:28.071Z",
"move_out_date": "2024-07-29T15:51:28.071Z",
"manager_phone": "string",
"manager_email": "[email protected]",
"management_company": "string"
}
],
"other_income": [
{
"source": "string",
"monthly_income_in_cents": 0
}
],
"concession_fees": [
{
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z",
"concession_id": "string"
}
],
"application_fees": [
{
"charge_code_id": "string",
"amount_in_cents": 0,
"description": "string"
}
]
}'
200 Successful response
{
"job_id": "string",
"data": {}
}